
/*
 * Copyright 2008-2010 Fabien Coeurjoly <fabien.coeurjoly@wanadoo.fr>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1.  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 2.  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 3.  The names of contributors may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 */
#include "gui/interface.h"
#include "gui.h"

struct PrefsListData {
};

DEFNEW(PrefsList)
{
	obj = DoSuperNew(cl, obj,
		InputListFrame,
		MUIA_List_ConstructHook, MUIV_List_ConstructHook_String,
		MUIA_List_DestructHook, MUIV_List_DestructHook_String,
//		  MUIA_List_MinLineHeight, 24, /* XXX: check.. */
		MUIA_List_AdjustWidth, TRUE,
		MUIA_List_AutoVisible, TRUE,
	End;

	return ((ULONG)obj);
}

BEGINMTABLE2(prefslistclass)
DECNEW(PrefsList)
ENDMTABLE

DECSUBCLASS_NC(MUIC_List, prefslistclass, PrefsListData)
