/*
 * Copyright 2008-2010 Fabien Coeurjoly <fabien.coeurjoly@wanadoo.fr>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1.  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 2.  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 3.  The names of contributors may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 */

#include <clib/macros.h>
#include <proto/dos.h>

#include "gui/interface.h"
#include "gui.h"

/******************************************************************
 * popstringclass
 *****************************************************************/

struct PopStringData
{
};

DEFMMETHOD(Popstring_Open)
{
	set(mygui->maingroup, MA_MPlayerGroup_Update, FALSE);

	return DOSUPER;
}

DEFMMETHOD(Popstring_Close)
{
	set(mygui->maingroup, MA_MPlayerGroup_Update, TRUE);

	return DOSUPER;
}

BEGINMTABLE2(popstringclass)
DECMMETHOD(Popstring_Open)
DECMMETHOD(Popstring_Close)
ENDMTABLE

DECSUBCLASS_NC(MUIC_Popobject, popstringclass, PopStringData)
